#!/bin/sh
test_description='git cvsimport basic tests'
- . ./test-lib.sh
+ . ./lib-cvs.sh
+if ! test_have_prereq PERL; then
+ say 'skipping git cvsimport tests, perl not available'
+ test_done
+fi
+
CVSROOT=$(pwd)/cvsroot
export CVSROOT
- unset CVS_SERVER
- # for clean cvsps cache
- HOME=$(pwd)
- export HOME
-
- if ! type cvs >/dev/null 2>&1
- then
- say 'skipping cvsimport tests, cvs not found'
- test_done
- fi
-
- cvsps_version=`cvsps -h 2>&1 | sed -ne 's/cvsps version //p'`
- case "$cvsps_version" in
- 2.1 | 2.2*)
- ;;
- '')
- say 'skipping cvsimport tests, cvsps not found'
- test_done
- ;;
- *)
- say 'skipping cvsimport tests, unsupported cvsps version'
- test_done
- ;;
- esac
- test_expect_success 'setup cvsroot' 'cvs init'
+ test_expect_success 'setup cvsroot' '$CVS init'
test_expect_success 'setup a cvs module' '